// 设置env配置文件
import envConfig from '@/env/config.js'
// 全局配置项
import appConfig from '@/config/appConfig.js'
import storageManage from '@/commons/utils/storageManage.js'
import dataMap from './commons/utils/dataMap'
import infoBox from './commons/utils/infoBox'

// 设置node环境
envConfig.changeEnv(storageManage.env())

import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App,
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  uni.$J = { dataMap, ...infoBox }
  return {
    app,
  }
}
// #endif
